import request from '@/apis/utils/request'

export function outWaitList(data) {
	var url = '/mobile/out/outWaitList';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function outRecordDeviceById(data) {
	var url = '/mobile/out/outRecordDeviceById';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}
export function outRecordDetail(data) {
	var url = '/mobile/out/outRecordDetail';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function queryDeviceByCode(data) {
	var url = '/mobile/device/queryDeviceByCode';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function saveRecordOut(data) {
	var url = '/mobile/out/saveRecordOut';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}


export function inWaitList(data) {
	var url = '/mobile/in/inWaitList';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function inRecordDetail(data) {
	var url = '/mobile/in/inRecordDetail';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

//recordId
//deviceData: recordDeviceId deviceId remark status imgUrls
export function saveRecordIn(data) {
	var url = 'mobile/in/saveRecordIn';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}


export function inspectionList(data) {
	var url = 'mobile/inspection/inspectionList';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function deviceList(data) {
	var url = 'mobile/inspection/deviceList';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function inspectionDetails(data) {
	var url = 'mobile/inspection/inspectionDetails';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// /mobile/inspection/deviceList /saveInspection
// 保存巡查结果
// recordData 
// {deviceId
// remark
// status
// imgUrls}
export function saveInspection(data) {
	var url = 'mobile/inspection/saveInspection';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}
